Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class CompiledTemplate

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTemplate
                        |
                        +--org.apache.xalan.processor.CompiledTemplate

public abstract class CompiledTemplate
extends ElemTemplate
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CompiledTemplate(ElemTemplate original, int lineNumber, int columnNumber, java.lang.String publicId, java.lang.String systemId, java.lang.Object[] interpretArray)` public constructor: Copy values from original template object, pick up "uncompiled children" array from compilation/instantiation process, and set the Locator information explicitly.

Method Summary
`abstract void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` Main entry point for the Template transformation.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String nsPrefix)` Accessor to let interpretive children query current namespace state.
`boolean` | `isCompiledTemplate()` Tell if this template is a compiled template.

Methods inherited from class org.apache.xalan.templates.ElemTemplate
`getMatch, getMode, getName, getNodeName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getXSLToken, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getTagName, getXmlSpace, hasChildNodes, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompiledTemplate

    public CompiledTemplate(ElemTemplate original,
                            int lineNumber,
                            int columnNumber,
                            java.lang.String publicId,
                            java.lang.String systemId,
                            java.lang.Object[] interpretArray)

  public constructor: Copy values from original template object, pick up "uncompiled children" array from compilation/instantiation process, and set the Locator information explicitly. (I want the locator to be visible as literals in the generated code, for debugging purposes.)

Method Detail

### isCompiledTemplate

    public boolean isCompiledTemplate()

  Tell if this template is a compiled template.
  Overrides:
    isCompiledTemplate in class ElemTemplateElement

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String nsPrefix)

  Accessor to let interpretive children query current namespace state. Note that unlike the interpreted version, the namespace state of this code changes over time... and that we need to maintain a unique state for each thread if we're to support multitasking.
  Overrides:
    getNamespaceForPrefix in class ElemTemplateElement

### execute

    public abstract void execute(TransformerImpl transformer,
                                 Node sourceNode,
                                 QName mode)
                          throws SAXException

  Main entry point for the Template transformation. It's abstract in CompiledTemplate, but is filled in when the actual template code is synthesized.
  Overrides:
    execute in class ElemTemplate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.